Skip to main content
GET
/
users
/
{id}
/
emails
/
{email_id}
Get an email of a user
curl --request GET \
  --url https://{tenant_id}.hanko.io/admin/users/{id}/emails/{email_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_id}.hanko.io/admin/users/{id}/emails/{email_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_id}.hanko.io/admin/users/{id}/emails/{email_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "802df042-1ac2-496d-af81-6ace729ed055",
  "address": "jsmith@example.com",
  "is_verified": true,
  "is_primary": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"code": 400,
"message": "Bad Request"
}
{
"code": 404,
"message": "Not found"
}
{
"code": 500,
"message": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API key. Must only be used when using Hanko Cloud.

Path Parameters

id
string<uuid>
required

UUID of the requested object

email_id
string
required

UUID of the requested email

Response

OK

id
string<uuid4>
required

The ID of the email

Example:

"802df042-1ac2-496d-af81-6ace729ed055"

address
string<email>
required

The email address

is_verified
boolean
required

Indicated the email has been verified.

is_primary
boolean
required

Indicates it's the primary email address.

created_at
string<date-time>
required

Time of creation of the email

updated_at
string<date-time>
required

Time of last update of the email